"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("core-js/modules/web.dom-collections.iterator.js");

var _react = _interopRequireWildcard(require("react"));

var _reactFacebookLogin = _interopRequireDefault(require("react-facebook-login"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const FacebookAuthLogin = props => {
  const [showloginButton, setShowloginButton] = (0, _react.useState)(true);
  const [showlogoutButton, setShowlogoutButton] = (0, _react.useState)(false);

  const responseFacebook = response => {
    setShowloginButton(false);
    setShowlogoutButton(true);
    console.log("logged in", response);
  };

  const logOut = () => {
    window.FB.logout();
    setShowloginButton(true);
    setShowlogoutButton(false);
    console.log("successfully logout");
    alert("Successfully Logout from Facebook !!");
  };

  const componentClicked = data => {
    console.log("clicked", data);
  };

  return /*#__PURE__*/_react.default.createElement("div", null, showloginButton ? /*#__PURE__*/_react.default.createElement(_reactFacebookLogin.default, {
    appId: props.appId,
    autoLoad: false,
    fields: "name,email,picture",
    onClick: componentClicked,
    callback: responseFacebook
  }) : /*#__PURE__*/_react.default.createElement("button", {
    className: "App-logout",
    onClick: () => logOut()
  }, "Logout"));
};

var _default = FacebookAuthLogin;
exports.default = _default;